// index.js
// 获取应用实例
const app = getApp()

Page({
  data: {
    nameTxt: '名片'
  },
  onLoad(options) {
    this.doLogin()
  },
  show() {
    wx.navigateTo({
      url: '/pages/moments/publish/momentpublish',
    })
  },
  showList() {
    wx.navigateTo({
      url: '/pages/moments/list/momentslist',
    })
  },
  // 登录
  doLogin() {
    var self = this;
    wx.showLoading({
      title: '加载中...',
    })
    wx.login({
      success(res) {
        app.http.post(app.urls.wxLogin, {
            data: {
              jsCode: res.code
            }
          })
          .then(res => {
            wx.hideLoading({})
            console.log(res)
            var token = res.data.data.split('_')[0]
            wx.setStorageSync('token', token)
            wx.setStorageSync('bindPhone', res.data.data.split('_')[1])
            app.globalData.token = token
          })
          .catch(err => {
            wx.hideLoading({})
            console.log(err)
          })


        // {
        //   jsCode: res.code
        // }, null, function (code, data) {
        // var token = data.data.split('_')[0]
        //   self.setData({
        //     token: token,
        //     bindPhone: data.data.split('_')[1]
        //   })
        // wx.setStorageSync('token', token)
        // wx.setStorageSync('bindPhone', data.data.split('_')[1])
        // app.globalData.token = token
        //   self.getUserInfo()
        //   self.getHomeColumnList()
        // }, function (code, data) {
        //   app.dialog.msg(data.msg);
        // });
      }
    })
  },
})